net.sourceforge.pmd

## Class RuleSetReference

- java.lang.Object
- - net.sourceforge.pmd.RuleSetReference

-     public class RuleSetReference
      extends Object

  This class represents a reference to RuleSet.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleSetReference()`
    `RuleSetReference(String theFilename)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExclude(String name)`
    `Set<String>` | `getExcludes()`
    `String` | `getRuleSetFileName()`
    `boolean` | `isAllRules()`
    `void` | `setAllRules(boolean allRules)`
    `void` | `setExcludes(Set<String> excludes)`
    `void` | `setRuleSetFileName(String ruleSetFileName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleSetReference

          public RuleSetReference()

    - #### RuleSetReference

          public RuleSetReference(String theFilename)

  - ### Method Detail

    - #### getRuleSetFileName

          public String getRuleSetFileName()

    - #### setRuleSetFileName

          public void setRuleSetFileName(String ruleSetFileName)

    - #### isAllRules

          public boolean isAllRules()

    - #### setAllRules

          public void setAllRules(boolean allRules)

    - #### getExcludes

          public Set<String> getExcludes()

    - #### setExcludes

          public void setExcludes(Set<String> excludes)

    - #### addExclude

          public void addExclude(String name)

Copyright © 2002-2013 InfoEther. All Rights Reserved.